> For the complete documentation index, see [llms.txt](https://docs.hyphen.at/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hyphen.at/flutter/quick-start.md).

# Quick Start

## Create an App in the Dashboard

You need to create an app in the [Hyphen Dashboard](https://hyphen.at/dashboard/new) before using Hyphen SDK. After creating an app, an app secret will be issued. The app secret is required to initialize the SDK.

### Installing the SDK

1. Open your project's `pubspec.yaml` file.
2. Add Dependency: Under the `dependencies` section of your `pubspec.yaml` file, add the "hyphen\_flutter\_sdk" plugin as follows:

```yaml
dependencies:
  flutter:
    sdk: flutter
  hyphen_flutter_sdk: ^1.0.0
```

Replace `^1.0.0` with the desired version of the plugin. The `^` symbol indicates that your project can use any compatible version greater than or equal to the specified version.

1. Run `flutter pub get`: After adding the dependency, save the `pubspec.yaml` file, and run the following command in your terminal to fetch the plugin:

```
flutter pub get
```

This command will download the plugin and its dependencies into your Flutter project.

### Initializing the SDK

Initialize the Hyphen SDK within your Flutter app's `main.dart` file or in the initialization code of your Flutter app. Here's an example of how you might initialize the SDK:

```dart
import 'package:flutter/material.dart';
import 'package:hyphen_flutter_sdk/core/hyphen.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({super.key});

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {

  @override
  Widget build(BuildContext context) {

    // Initialize the Hyphen SDK
    Hyphen.initialize(context);
    Hyphen.appSecret = "<YOUR-APP-SECRET>";
    Hyphen.network = NetworkType.TESTNET;

    return MaterialApp(
      title: 'My App',
      home: MyHomePage(),
    );
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hyphen.at/flutter/quick-start.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
